> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission.md).

# Transaction Submission

- [Transaction Submission總覽](https://docs.blockrazor.io/tc/transaction-submission/overview.md): 介紹Transaction Submission的模式，包括RPC、Block Builder、Transaction Sending、Gas Sponsor等模式，以及如何根據場景選擇模式
- [RPC](https://docs.blockrazor.io/tc/transaction-submission/rpc.md): BlockRazor為用戶提供BSC RPC和Ethereum RPC服務
- [BSC RPC](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc.md): BlockRazor BSC RPC 提供標準 JSON-RPC 訪問，以及私有交易路由、MEV 防護、低延遲上鏈和實時 backrun 返利等能力。
- [BSC RPC 端點](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/endpoint.md)
- [如何在項目中集成BSC RPC](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/integration.md): 介紹集成BlockRazor BSC RPC的步驟
- [BSC RPC 返利機制](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/refund.md): 了解 BlockRazor BSC RPC 如何通過私有訂單流拍賣保護交易，並將 60% 的可分配 backrun 收益返還給用戶
- [BSC RPC eth\_sendRawTransaction](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/eth_sendrawtransaction.md): 介紹集成BlockRazor BSC RPC的eth\_sendRawTransaction方法
- [BSC RPC eth\_sendBundle](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/eth_sendbundle.md): 介紹項目方如何集成BlockRazor BSC RPC的eth\_sendBundle方法
- [BSC RPC交易狀態查詢](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/scutum_querytxprocessstatus.md): 介紹如何集成scutum\_queryTxProcessStatus方法來查詢BSC RPC交易狀態
- [BSC RPC 訂單流競拍](https://docs.blockrazor.io/tc/transaction-submission/rpc/bsc/orderflow-auction.md): 介紹Searcher集成BlockRazor BSC RPC的eth\_sendMevBundle方法來進行訂單流拍賣
- [Ethereum RPC](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc.md): BlockRazor Ethereum RPC 提供標準 JSON-RPC 訪問，以及私有交易路由、MEV 防護、低延遲上鏈和實時 backrun 返利+ Gas 返利等能力。
- [Ethereum RPC 端點](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc/endpoint.md)
- [如何在項目中集成 Ethereum RPC](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc/integration.md): 介紹集成BlockRazor Ethereum RPC的步驟
- [Ethereum RPC 返利機制](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc/refund.md): 了解 BlockRazor Ethereum RPC 如何保護交易，並將 90% 的 backrun 收益和 Priority Fee 返還給用戶
- [Ethereum RPC eth\_sendRawTransaction](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc/eth_sendrawtransaction.md): 介紹集成BlockRazor Ethereum RPC的eth\_sendRawTransaction的方法
- [Ethereum RPC eth\_sendBundle](https://docs.blockrazor.io/tc/transaction-submission/rpc/ethereum-rpc/eth_sendbundle.md): 介紹集成BlockRazor Ethereum RPC的eth\_sendBundle方法
- [BSC Block Builder](https://docs.blockrazor.io/tc/transaction-submission/block-builder.md): 介紹BlockRazor BSC Block Builder，適合什麼用戶，提供什麼能力，以及如何選擇端點集成
- [BSC Block Builder 端點](https://docs.blockrazor.io/tc/transaction-submission/block-builder/endpoint.md)
- [BSC Block Builder Fast Submit](https://docs.blockrazor.io/tc/transaction-submission/block-builder/bsc-block-builder-fast-submit.md): 介紹BlockRazor BSC Block Builder的Fast Submit以及接入方式
- [BSC Block Builder Send Bundle](https://docs.blockrazor.io/tc/transaction-submission/block-builder/send-bundle.md): 介紹BlockRazor BSC Block Builder的Send Bundle以及接入方法
- [BSC Block Builder Send PrivateTransaction](https://docs.blockrazor.io/tc/transaction-submission/block-builder/send-privatetransaction.md): 介紹BlockRazor Block Builder的Send PrivateTransaction接入方法
- [BSC Block Builder Trace Bundle](https://docs.blockrazor.io/tc/transaction-submission/block-builder/trace-bundle.md): 介紹BlockRazor BSC Block Builder的Trace Bundle接入方法
- [BSC Block Builder Bundle 瀏覽器](https://docs.blockrazor.io/tc/transaction-submission/block-builder/bundle-explorer.md)
- [BSC Block Builder 0 Gwei](https://docs.blockrazor.io/tc/transaction-submission/block-builder/send-backbundle.md): 介紹BlockRazor Block Builder的eth\_sendBackBundle(0 Gwei)以及接入方法
- [BSC Block Builder Call Bundle](https://docs.blockrazor.io/tc/transaction-submission/block-builder/call-bundle.md): 介紹BlockRazor Block Builder的Call Bundle接入方法
- [Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending.md): 介紹BlockRazor Transaction Sending模式，以及提供的服務和接口接入文檔
- [Solana Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana.md): 介紹BlockRazor Solana Transaction Sending 模式的端點、接口接入文檔、Priority Fee & Tip以及Keep Alive
- [Solana Transaction Sending Endpoint](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/endpoint.md): 介紹BlockRazor Solana Transaction Sending 模式的端點
- [Solana Send Transaction](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction.md): 介紹BlockRazor Solana Fast模式的Send Transaction接口以及集成方法
- [Solana Send Transaction 請求示例](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/request-example.md): 介紹BlockRazor Solana Transaction Sending 模式下 Send Transaction的請求示例
- [Solana Send Transaction Curl Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/request-example/curl.md): 介紹BlockRazor Solana Transaction Sending模式下Send Transaction的Curl請求示例
- [Solana Send Transaction Go Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/request-example/go.md): 介紹BlockRazor Solana Transaction Sending模式下Send Transaction的Go請求示例
- [Solana Send Transaction Rust Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/request-example/rust.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Transaction的Rust請求示例
- [Solana Send Transaction JS Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/request-example/js.md): 介紹BlockRazor Solana Fast模式下Send Transaction的JS請求示例
- [Solana Send Transaction in Plain Text](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/send-in-plain-text.md): 介紹BlockRazor Solana Transaction Sending模式下Send Transaction in Plain Text的集成方法
- [Solana Send Transaction in Binary](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-transaction/send-in-binary.md): 介紹BlockRazor Solana Transaction Sending模式下Send Transaction in Binary的集成方法
- [Solana Send Bundle](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle.md): 介紹BlockRazor Solana Transaction Sending模式下Send Bundle的集成方法
- [Solana Send Bundle Curl Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/curl.md): 介紹BlockRazor Solana Transaction Sending模式下Send Bundle的Curl請求示例
- [Solana Send Bundle Go Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/go.md): 介紹BlockRazor Solana Transaction Sending模式下Send Bundle的Go請求示例
- [Solana Send Bundle Rust Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/rust.md): 介紹BlockRazor Solana Transaction Sending模式下Send Bundle的Rust請求示例
- [Solana Send Bundle JS Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/js.md): 介紹BlockRazor Solana Transaction Sending模式下Send Bundle的JS請求示例
- [Solana Send Batch](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch.md): 介紹BlockRazor Solana Transaction Sending模式下Send Batch的集成方法
- [Solana Send Batch 請求示例](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/request-example.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Batch的請求示例
- [Solana Send Batch Curl Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/request-example/curl.md): 介紹BlockRazor Solana Fast模式下Send Batch的Curl請求示例
- [Solana Send Batch Go Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/request-example/go.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Batch的Go請求示例
- [Solana Send Batch Rust Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/request-example/rust.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Batch的Rust請求示例
- [Solana Send Batch JS Example](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/request-example/js.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Batch的JS請求示例
- [Solana Send Batch in Binary](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-batch/send-in-binary.md): 介紹BlockRazor Solana Transaction Sending 模式下Send Batch in Binary的集成方法
- [Solana Transaction Sending Priority Fee & Tip](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/priority-fee-and-tip.md): 介紹BlockRazor Solana Transaction Sending 模式的Priority Fee & Tip注意事項
- [Solana Transaction Sending Keep Alive](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/keep-alive.md): 介紹BlockRazor Solana Transaction Sending 模式的Keep Alive集成方法
- [BSC Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/bsc.md): 介紹BlockRazor BSC Transaction Sending模式以及API接入文檔
- [BSC Broadcast Tx](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/bsc/broadcast-tx.md): 介紹BlockRazor BSC Transaction Sending 模式的 Broadcast Tx 接口以及集成方法
- [Robinhood Chain Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain.md): 介紹BlockRazor Robinhood Chain Transaction Sending、Benchmark和價格
- [Robinhood Chain Transaction Sending 端點](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain/endpoint.md): 介紹BlockRazor Robinhood Chain Transaction Sending 的端點
- [Robinhood Chain eth\_sendRawTransaction](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain/eth_sendrawtransaction.md): 介紹BlockRazor Robinhood Chain eth\_sendRawTransaction的集成方法
- [Robinhood Chain Transaction Sending in Plain Text](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain/eth_sendrawtransaction/send-in-plain-text.md): 介紹BlockRazor Robinhood Chain eth\_sendRawTransaction(send in plain text)的集成方法
- [Robinhood Chain eth\_sendBatch](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain/send-batch.md): 介紹BlockRazor Robinhood Chain RPC eth\_sendBatch的集成方法
- [Robinhood Chain Transaction Sending 健康檢查](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/robinhood-chain/health-check.md): 介紹BlockRazor Robinhood Chain Transaction Sending 健康檢查的集成方法
- [Ethereum Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/ethereum.md): 介紹BlockRazor Ethereum Transaction Sending模式以及API接入文檔
- [Ethereum Broadcast Tx](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/ethereum/broadcast-tx.md): 介紹BlockRazor Ethereum Transaction Sending 模式的 Broadcast Tx 接口以及集成方法
- [Base Transaction Sending](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/base.md): 介紹BlockRazor Base Transaction Sending 模式以及API接入文檔
- [Base eth\_sendRawTransaction](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/base/eth_sendrawtransaction.md): 介紹集成BlockRazor Base Transaction Sending 的 eth\_sendRawTransaction的方法
- [Base eth\_sendRawTransaction(tip)](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/base/eth_sendrawtransaction-tip.md): 介紹BlockRazor Base Transaction Sending 模式的eth\_sendRawTransaction(tip)接口以及集成方法
- [Gas Sponsor](https://docs.blockrazor.io/tc/transaction-submission/gas-sponsor.md): 介紹BlockRazor的Gas Sponsor，以及其核心特性和接入流程


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/tc/transaction-submission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
